#
# spec file for package python3-staticjinja
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-staticjinja
Version:        0.3.3
Release:        2.10
Summary:        Jinja based static site generator
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/Ceasar/staticjinja
Source:         https://files.pythonhosted.org/packages/source/s/staticjinja/staticjinja-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-docopt
BuildRequires:  python3-easywatch
BuildRequires:  python3-Jinja2
Requires:       python3-docopt
Requires:       python3-easywatch
Requires:       python3-Jinja2
Requires(post): update-alternatives
Requires(postun): update-alternatives
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Staticjinja is a library for easily deploying static sites using the
Jinja2 template engine.

Most static site generators are cumbersome to use. Nevertheless, when
deploying a static website that could benefit from factored out data
or modular html pages (especially convenient when prototyping), a
templating engine can be invaluable. Jinja2 is an extremely powerful
tool in this regard.

Staticjinja is designed to be lightweight, easy-to-use, and highly
extensible, enabling you to focus on simply making your site.

%prep
%setup -q -n staticjinja-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/alternatives
mv %{buildroot}%{_bindir}/staticjinja %{buildroot}%{_bindir}/staticjinja-%{py3_ver}
touch %{buildroot}%{_sysconfdir}/alternatives/staticjinja
ln -sf %{_sysconfdir}/alternatives/staticjinja %{buildroot}/%{_bindir}/staticjinja

%post
update-alternatives --install %{_bindir}/staticjinja staticjinja %{_bindir}/staticjinja-%{py3_ver} 30

%postun
if [ $1 -eq 0 ] ; then
    update-alternatives --remove staticjinja %{_bindir}/staticjinja-%{py3_ver}
fi

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*
%{_bindir}/staticjinja
%{_bindir}/staticjinja-%{py3_ver}
%ghost %{_sysconfdir}/alternatives/staticjinja
%doc README.rst

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sat Mar 12 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.3.3:
  * Enable users to direct pass dictionaries instead of context
    generator in Site and make_site() for contexts that don’t require
    any logic.
  * Introduces a mergecontexts parameter to Site and make_site() to
    direct staticjinja to either use all matching context generator or
    only the first one when rendering templates.
* Tue Nov 24 2015 arun@gmx.de
- update to version 0.3.2:
  * Allow passing keyword arguments to jinja2 Environment.
  * Use shutil.copy2 instead of shutil.copyfile when copying static
    resources to preserve the modified time of files which haven’t
    been modified.
  * Make the Reloader handle “created” events to support editors like
    Pycharm which save by first deleting then creating, rather than
    modifying.
  * Update easywatch dependency to 0.0.3 to fix an issue that occurs
    when installing easywatch 0.0.2.
  * Make --srcpath accept both absolute paths and relative paths.
  * Allow directories to be marked partial or ignored, so that all
    files inside them can be considered partial or ignored. Without
    this, developers would need to rename the contents of these
    directories manually.
  * Allow users to mark a single file as static, instead of just
    directories.
* Sun May 31 2015 arun@gmx.de
- initial version
